<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{template.html}">

<head>
	<title>SHIP Clip</title>
	<style>
		.fielderror {
			color: #c00;
		}
	</style>
</head>

<body>
	<main layout:fragment="content">
		<div class="container">
			<form th:action="@{/admin/menuitem/save}" method="post" th:object="${bean}">
				<div class="row g-2">
					<div class="col-sm-3" th:if="${bean.pk}">ID</div>
					<div class="col-sm-9" th:if="${bean.pk}">
						<input id="pk" type="text" class="form-control" th:field="*{pk}" readonly="readonly" />
						<div th:each="err : ${#fields.errors('pk')}" th:text="${err}" class="fielderror"></div>
						<br />
					</div>
					<div class="col-sm-3">URL</div>
					<div class="col-sm-9">
						<input id="url" type="text" class="form-control" th:field="*{url}" />
						<div th:each="err : ${#fields.errors('url')}" th:text="${err}" class="fielderror"></div>
						<br />
					</div>
					<div class="col-sm-3">ICON_URL</div>
					<div class="col-sm-9">
						<input id="iconUrl" type="text" class="form-control" th:field="*{iconUrl}" />
						<div th:each="err : ${#fields.errors('iconUrl')}" th:text="${err}" class="fielderror"></div>
						<br />
					</div>
					<div class="col-sm-3" th:if="${bean.pk}">FK_LABEL</div>
					<div class="col-sm-1" th:if="${bean.pk}">
						<input type="text" class="form-control" th:field="*{label.pk}" th:if="*{label}" readonly="readonly" />
					</div>
					<div class="col-sm-7" th:if="${bean.pk}">
						<span th:text="${bean.label.getCurrentLabel(#locale.toString())}" th:if="*{label}"></span>
					</div>
					<div class="col-sm-1" th:if="${bean.pk}">
						<a th:href="@{/admin/menuitem/{id}/label/edit(id=${bean.pk})}" class="btn btn-outline-secondary"
							th:title="#{tooltip.edit}" th:if="${bean.label}"><i class="fas fa-pen"></i></a>
						<a th:href="@{/admin/menuitem/{id}/label/add(id=${bean.pk})}" class="btn btn-outline-secondary"
							th:title="#{button.add}" th:unless="${bean.label}"><i class="fas fa-plus"></i></a>
					</div>
					<div class="col-sm-3" th:if="${bean.pk}">FK_DESCRIPTION</div>
					<div class="col-sm-1" th:if="${bean.pk}">
						<input type="text" class="form-control" th:field="*{description.pk}" th:if="*{description}"
							readonly="readonly" />
					</div>
					<div class="col-sm-7" th:if="${bean.pk}">
						<span th:text="${bean.description.getCurrentLabel(#locale.toString())}" th:if="*{description}"></span>
					</div>
					<div class="col-sm-1" th:if="${bean.pk}">
						<a th:href="@{/admin/menuitem/{id}/description/edit(id=${bean.pk})}" class="btn btn-outline-secondary"
							th:title="#{tooltip.edit}" th:if="${bean.description}"><i class="fas fa-pen"></i></a>
						<a th:href="@{/admin/menuitem/{id}/description/add(id=${bean.pk})}" class="btn btn-outline-secondary"
							th:title="#{button.add}" th:unless="${bean.description}"><i class="fas fa-plus"></i></a>
					</div>
					<div class="col-sm-3">APP_ID</div>
					<div class="col-sm-9">
						<input id="appId" type="text" class="form-control" th:field="*{appId}" />
						<div th:each="err : ${#fields.errors('appId')}" th:text="${err}" class="fielderror"></div>
						<br />
					</div>
					<div class="col-sm-3" th:if="${bean.pk}">ORDER_NR</div>
					<div class="col-sm-9" th:if="${bean.pk}">
						<input id="orderNr" type="number" class="form-control" th:field="*{orderNr}" />
						<div th:each="err : ${#fields.errors('orderNr')}" th:text="${err}" class="fielderror"></div>
						<br />
					</div>
					<div class="col-sm-3">KEYCLOAK_ROLE</div>
					<div class="col-sm-9">
						<input id="keycloakRole" type="text" class="form-control" th:field="*{keycloakRole}" />
						<div th:each="err : ${#fields.errors('keycloakRole')}" th:text="${err}" class="fielderror"></div>
						<br />
					</div>
					<div class="col-sm-3">&nbsp;</div>
					<div class="col-sm-9">
						<input type="submit" class="btn btn-outline-primary" th:value="#{button.ok}" />
						&nbsp;
						<a th:href="@{/admin}" class="btn btn-outline-secondary">
							<span th:text="#{button.cancel}"></span>
						</a>
					</div>
				</div>
			</form>
		</div>
	</main>
</body>

</html>